Skip to content
POST/{organizationId}/{mandateId}/crm/contacts/notes/resubmissions/stats

Get resubmission stats

Returns filter-aware summary counters for resubmissions.

Required permissions:

  • mandate.read

  • contactNote.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

searchTermstringoptional
assignedToUserOnlybooleanoptional

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/crm/contacts/notes/resubmissions/stats
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/contacts/notes/resubmissions/stats' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "searchTerm": "string",
  "assignedToUserOnly": true
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

totalintegerrequired

minimum: -9007199254740991

maximum: 9007199254740991

overdueintegerrequired

minimum: -9007199254740991

maximum: 9007199254740991

todayintegerrequired

minimum: -9007199254740991

maximum: 9007199254740991

upcomingintegerrequired

minimum: -9007199254740991

maximum: 9007199254740991

Response

200
{
  "total": -9007199254740991,
  "overdue": -9007199254740991,
  "today": -9007199254740991,
  "upcoming": -9007199254740991
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}